package com.ruoyi.interfaces.mapper;

import com.ruoyi.interfaces.domain.PtReport;
import com.ruoyi.interfaces.domain.PtReportCriteria;
import org.apache.ibatis.session.RowBounds;

import java.util.List;

public interface PtReportMapper {
    int deleteByPrimaryKey(String code);

    int insert(PtReport record);

    int insertSelective(PtReport record);

    List<PtReport> selectByExampleWithRowbounds(PtReportCriteria example, RowBounds rowBounds);

    List<PtReport> selectByExample(PtReportCriteria example);

    PtReport selectByPrimaryKey(String code);

    int updateByPrimaryKeySelective(PtReport record);

    int updateByPrimaryKey(PtReport record);
}
